#!/usr/bin/env python3.12

from dataclasses import dataclass, asdict

@dataclass
class LyricsResult:
    """Class for returned Lyrics Results"""
    artist: str
    song: str
    src: str
    lyrics: str|dict
    confidence: int
    time: float = 0.00

    def todict(self):
        """Return as dict"""
        return {k: type(v)(v) for k, v in asdict(self).items()}    